﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace bbiwarg.InputProviders
{
    class InputFrame
    {
        public int FrameID { get; private set; }
        public int Width { get; private set; }
        public int Height { get; private set; }
        public IntPtr RawDepthData { get; private set; }
        public IntPtr RawConfidenceData { get; private set; }

        public InputFrame(int frameID, int width, int height, IntPtr rawDepthData, IntPtr rawConfidenceData)
        {
            FrameID = frameID;
            Width = width;
            Height = height;
            RawDepthData = rawDepthData;
            RawConfidenceData = rawConfidenceData;
        }
    }
}
