﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using bbiwarg.Recognition.Tracking;
using bbiwarg.Utility;

namespace bbiwarg.Recognition.FingerRecognition
{

    class FingerTracker : Tracker<Finger, TrackedFinger>
    {

        public List<Finger> Fingers { get { return getCurrentObjectsWithState(TrackingState.Tracked); } }

        protected override TrackedFinger createTrackedObject(Finger detectedObject)
        {
            return new TrackedFinger(idPool.getNextUnusedID(), detectedObject, Parameters.FingerTrackerNumFramesDetectedUntilTracked, Parameters.FingerTrackerNumFramesLostUntilDeleted);
        }
    }
}
