﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using bbiwarg.Recognition.Tracking;

namespace bbiwarg.Recognition.HandRecognition
{
    class HandTracker : Tracker<Hand, TrackedHand>
    {
        public List<Hand> Hands { get { return getCurrentObjectsWithState(TrackingState.Tracked); } }

        protected override TrackedHand createTrackedObject(Hand detectedObject)
        {
            return new TrackedHand(idPool.getNextUnusedID(), detectedObject, Parameters.HandTrackerNumFramesDetectedUntilTracked, Parameters.HandTrackerNumFramesLostUntilDeleted);
        }
    }
}
