﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace bbiwarg.Recognition.Tracking
{
    public class Similarity<T, TrackedT> 
        where T :TrackableObject
        where TrackedT : TrackedObject<T>
    {
        public TrackedT TrackedObject { get; private set; }
        public T DetectedObject { get; private set; }
        public float Value { get; private set; }

        public Similarity(TrackedT trackedObject, T detectedObject, float value) {
            TrackedObject = trackedObject;
            DetectedObject = detectedObject;
            Value = value;
        }
    }
}
